cURL
curl --request POST \
--url https://api.comm.com/api/v1/sms/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.comm.com/api/v1/sms/campaigns"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.comm.com/api/v1/sms/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"meta": {
"segment_ids": [],
"sms_routing_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"use_dedicated_domains": false,
"manual_data": {
"send_amount": 200,
"send_datetime": "<string>",
"throttle_batch_size": 0
},
"multistep_data": {
"step_size": 200,
"step_delay": 5,
"min_ctr": 123,
"max_sms_to_send": 1,
"max_minutes_to_send": 1,
"send_datetime": "<string>",
"is_active": true
},
"planner_data": {
"weekly_schedule": {
"default": {
"start": "<string>",
"end": "<string>"
},
"Mon": {
"start": "<string>",
"end": "<string>"
},
"Tue": {
"start": "<string>",
"end": "<string>"
},
"Wed": {
"start": "<string>",
"end": "<string>"
},
"Thu": {
"start": "<string>",
"end": "<string>"
},
"Fri": {
"start": "<string>",
"end": "<string>"
},
"Sat": {
"start": "<string>",
"end": "<string>"
},
"Sun": {
"start": "<string>",
"end": "<string>"
}
},
"multistep_data": {
"step_size": 200,
"step_delay": 5,
"min_ctr": 123,
"max_sms_to_send": 1,
"max_minutes_to_send": 1,
"send_datetime": "<string>",
"is_active": true
},
"weekly_sms_contact_limit": 5,
"daily_sms_contact_limit": 1,
"is_active": true
},
"multistep_status": {
"current_step": 0,
"total_available_contacts": 0,
"total_sent": 0,
"last_sent_timestamp": 123,
"start_timestamp": 123,
"initial_brands": [],
"steps_performance": [],
"status": "in_progress",
"last_timezones": [],
"planner_data": {
"weekly_schedule": {
"default": {
"start": "<string>",
"end": "<string>"
},
"Mon": {
"start": "<string>",
"end": "<string>"
},
"Tue": {
"start": "<string>",
"end": "<string>"
},
"Wed": {
"start": "<string>",
"end": "<string>"
},
"Thu": {
"start": "<string>",
"end": "<string>"
},
"Fri": {
"start": "<string>",
"end": "<string>"
},
"Sat": {
"start": "<string>",
"end": "<string>"
},
"Sun": {
"start": "<string>",
"end": "<string>"
}
},
"multistep_data": {
"step_size": 200,
"step_delay": 5,
"min_ctr": 123,
"max_sms_to_send": 1,
"max_minutes_to_send": 1,
"send_datetime": "<string>",
"is_active": true
},
"weekly_sms_contact_limit": 5,
"daily_sms_contact_limit": 1,
"is_active": true
}
},
"hlr_settings": {
"is_active": false,
"number_of_retries": 0,
"delay_between_retries": 0,
"additional_time_increment": 0,
"retry_until": "<string>"
}
},
"id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"team_id": "<string>",
"offers": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"profit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"sends": [
{
"id": "<string>",
"next_step_timestamp": "<string>",
"status": "<string>",
"meta": {
"segment_ids": [],
"sms_routing_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"use_dedicated_domains": false,
"manual_data": {
"send_amount": 200,
"send_datetime": "<string>",
"throttle_batch_size": 0
},
"multistep_data": {
"step_size": 200,
"step_delay": 5,
"min_ctr": 123,
"max_sms_to_send": 1,
"max_minutes_to_send": 1,
"send_datetime": "<string>",
"is_active": true
},
"planner_data": {
"weekly_schedule": {
"default": {
"start": "<string>",
"end": "<string>"
},
"Mon": {
"start": "<string>",
"end": "<string>"
},
"Tue": {
"start": "<string>",
"end": "<string>"
},
"Wed": {
"start": "<string>",
"end": "<string>"
},
"Thu": {
"start": "<string>",
"end": "<string>"
},
"Fri": {
"start": "<string>",
"end": "<string>"
},
"Sat": {
"start": "<string>",
"end": "<string>"
},
"Sun": {
"start": "<string>",
"end": "<string>"
}
},
"multistep_data": {
"step_size": 200,
"step_delay": 5,
"min_ctr": 123,
"max_sms_to_send": 1,
"max_minutes_to_send": 1,
"send_datetime": "<string>",
"is_active": true
},
"weekly_sms_contact_limit": 5,
"daily_sms_contact_limit": 1,
"is_active": true
},
"multistep_status": {
"current_step": 0,
"total_available_contacts": 0,
"total_sent": 0,
"last_sent_timestamp": 123,
"start_timestamp": 123,
"initial_brands": [],
"steps_performance": [],
"status": "in_progress",
"last_timezones": [],
"planner_data": {
"weekly_schedule": {
"default": {
"start": "<string>",
"end": "<string>"
},
"Mon": {
"start": "<string>",
"end": "<string>"
},
"Tue": {
"start": "<string>",
"end": "<string>"
},
"Wed": {
"start": "<string>",
"end": "<string>"
},
"Thu": {
"start": "<string>",
"end": "<string>"
},
"Fri": {
"start": "<string>",
"end": "<string>"
},
"Sat": {
"start": "<string>",
"end": "<string>"
},
"Sun": {
"start": "<string>",
"end": "<string>"
}
},
"multistep_data": {
"step_size": 200,
"step_delay": 5,
"min_ctr": 123,
"max_sms_to_send": 1,
"max_minutes_to_send": 1,
"send_datetime": "<string>",
"is_active": true
},
"weekly_sms_contact_limit": 5,
"daily_sms_contact_limit": 1,
"is_active": true
}
},
"hlr_settings": {
"is_active": false,
"number_of_retries": 0,
"delay_between_retries": 0,
"additional_time_increment": 0,
"retry_until": "<string>"
}
},
"created_at": "<string>",
"updated_at": "<string>",
"sms_campaign_id": "<string>",
"logs": [
{
"caller_id": "<string>",
"text": "<string>",
"created_at": "<string>"
}
]
}
],
"logs": [
{
"caller_id": "<string>",
"text": "<string>",
"created_at": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}SmsCampaigns
Post v1smscampaigns
POST
/
v1
/
sms
/
campaigns
cURL
⌘I